.col.b-radio
  .row.align-items-center.no-gutters(@focusin='setHasFocus(true)' @focusout='setHasFocus(false)')
    InputError(:showErrors='inEdit' :errors='errors' :warnings='warnings')
  .custom-control.custom-radio()
    input.custom-control-input(v-if="inEdit" ref='input' :id='id' type='radio'
      :name='name' @click='editValue = true'
      :disabled="disabled" v-bind='$attrs')
    // @click.prevent='toggle'
    input.custom-control-input(v-else ref='input' :id='id' type='radio'
      :checked='value' :name='name'
      disabled="disabled" v-bind='$attrs')
    label.custom-control-label(:for='id')
      slot(name='label' v-bind='{ ...$props, ...$data }') {{ label }}
